Bug 413881 - Fontconfig conflict on x86_64 sat
Fontconfig conflict on x86_64 sat
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer (Show other bugs)
510
All Linux
low Severity low
: ---
: ---
Assigned To: Michael Mráka
Justin Sherrill
:
: 426165 (view as bug list)
Depends On:
Blocks: 248641
  Show dependency treegraph
 
Reported: 2007-12-06 08:17 EST by Miroslav Suchý
Modified: 2008-04-02 16:55 EDT (History)
1 user (show)

See Also:
Fixed In Version: sat510
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-02 16:55:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2007-12-06 08:17:14 EST
Description of problem:
Oracle-server depend on package Fontconfig. Since we have 32 bit Oracle-server
on x86_64 ISO, it should have Fontconfig.i386, but @base have already fontconfig
and it is x86_64. This two package conflicts.

We have to either somehow resolve this conflicts, or compile oracle-server as
x86_64. I think the second is the right way.

Version-Release number of selected component (if applicable):
510-64bit

How reproducible:
done once

Steps to Reproduce:
1. install x86_64 iso
Comment 1 Jan Pazdziora 2007-12-19 09:15:07 EST
*** Bug 426165 has been marked as a duplicate of this bug. ***
Comment 2 Michael Mráka 2007-12-21 06:15:50 EST
fontconfig.i386 is required by xorg-x11-depreciated-libs.i386
xorg-x11-depreciated-libs.i386 is required by openmotif21.i386
openmotif21.i386 is required by oracle-server-920.i386

So we need take out unnecessary libraries with openmotif requirement (from 
oracle-server-920 package).
Comment 3 Michael Mráka 2007-12-21 06:34:31 EST
Fixed in oracle-server-920-9.2.0.8.0-6.i386.rpm

Sending        misc/oracle-server/9.2.0/oracle-server.spec
Transmitting file data ..
Committed revision 135096.


Testcase:
1. install x86_64 iso
2. rpm -q oracle-server-920 fontconfig.i386 openmotif21 xorg-x11-depreciated-
libs

expected results:
1. succesful installation
2.
oracle-server-920-9.2.0.8.0-6
package openmotif21 is not installed
package xorg-x11-depreciated-libs is not installed

Comment 4 Justin Sherrill 2008-01-04 11:12:30 EST
works for me on build -32
Comment 5 Mike McCune 2008-03-25 21:14:51 EDT
verified since we have a bunch of x86_64 installs in stage that worked fine.
Comment 6 Brandon Perkins 2008-04-02 16:52:30 EDT
64Bit-Satellite/Proxy on x86_64 RHEL for 5.1 Sat GA so Closed for Current Release.
Comment 7 Brandon Perkins 2008-04-02 16:55:31 EDT
64Bit-Satellite/Proxy on x86_64 RHEL for 5.1 Sat GA so Closed for Current Release.

Note You need to log in before you can comment on or make changes to this bug.